Bug 620143 - ERROR: pop from empty list
ERROR: pop from empty list
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-08-01 04:48 EDT by Nicolas Mailhot
Modified: 2013-01-10 01:06 EST (History)
4 users (show)

See Also:
Fixed In Version: mock-1.1.10-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-07 19:23:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from mock --verbose --trace for failing build (63.78 KB, text/plain)
2010-08-02 18:41 EDT, Clark Williams
no flags Details

  None (edit)
Description Nicolas Mailhot 2010-08-01 04:48:47 EDT
Description of problem:

$ mock /var/lib/mock-builder/rpm/SRPMS/fontconfig-2.8.0-2.20100731git.f14.src.rpm
INFO: mock.py version 1.1.2 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(/var/lib/mock-builder/rpm/SRPMS/fontconfig-2.8.0-2.20100731git.f14.src.rpm)  Config(fedora-development-x86_64-1)
State Changed: lock buildroot
State Changed: clean
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.2
INFO: Mock Version: 1.1.2
INFO: enabled root cache
INFO: /etc/mock/site-defaults.cfg newer than root cache; cache will be rebuilt
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: creating cache
ERROR: Exception(/var/lib/mock-builder/rpm/SRPMS/fontconfig-2.8.0-2.20100731git.f14.src.rpm) Config(fedora-development-x86_64-1) 6 minutes 25 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-development-x86_64-1/result
ERROR: pop from empty list
Traceback (most recent call last):
  File "/usr/sbin/mock", line 438, in <module>
    def do_buildsrpm(config_opts, chroot, options, args):
  File "/usr/sbin/mock", line 690, in main
    do_rebuild(config_opts, chroot, args)
  File "<peak.util.decorators.rewrap wrapping __main__.do_rebuild at 0x00BF3E60>", line 3, in do_rebuild
    def do_rebuild(config_opts, chroot, srpms): return __decorated(config_opts, chroot, srpms)
  File "/usr/lib/python2.7/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/sbin/mock", line 412, in do_rebuild
    chroot.build(srpm, timeout=config_opts['rpmbuild_timeout'])
  File "<peak.util.decorators.rewrap wrapping mock.backend.build at 0x00BEE140>", line 3, in build
    def build(self, srpm, timeout): return __decorated(self, srpm, timeout)
  File "/usr/lib/python2.7/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mock/backend.py", line 519, in build
    self.uidManager.restorePrivs()
  File "<peak.util.decorators.rewrap wrapping mock.uid.restorePrivs at 0x00B96848>", line 3, in restorePrivs
    def restorePrivs(self): return __decorated(self)
  File "/usr/lib/python2.7/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.7/site-packages/mock/uid.py", line 38, in restorePrivs
    privs = self.privStack.pop()
IndexError: pop from empty list


Version-Release number of selected component (if applicable):
mock-1.1.2-1.fc14.noarch
python-2.7-7.fc14.x86_64
Comment 1 Clark Williams 2010-08-02 10:24:06 EDT
Nicholas, is this on an f14 host?
Comment 2 Clark Williams 2010-08-02 18:15:24 EDT
Nicholas,

When you get a chance, would you modify your build config (or site-defaults.config) to contain the following line:

config_opts['plugin_conf']['selinux_enable'] = False

and try another build?

We added the selinux plugin in the last release and I'm wondering if it has something to do with the mount of /proc failing.
Comment 3 Clark Williams 2010-08-02 18:41:15 EDT
Created attachment 436149 [details]
output from mock --verbose --trace for failing build

Output from Nicholas' build with --verbose and --trace added
Comment 4 Nicolas Mailhot 2010-08-03 01:28:58 EDT
(In reply to comment #1)
> Nicholas, is this on an f14 host?    

Yes (yum upgraded from old rawhide)(In reply to comment #2)

> When you get a chance, would you modify your build config (or
> site-defaults.config) to contain the following line:
> 
> config_opts['plugin_conf']['selinux_enable'] = False
> 
> and try another build?

This worked
Comment 5 Clark Williams 2010-08-03 13:54:16 EDT
This issue is a consequence of adding the selinux plugin and not completely disabling our minimal selinux manipulations (chattr and chcon). I'm looking at a modification where if the selinux pluging is enabled (which essentially turns *off* selinux in the chroot, no matter what the selinux state of the host is) we won't try to manipulate any selinux attributes in mock.
Comment 6 Fedora Update System 2010-08-03 18:24:18 EDT
mock-1.1.3-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14
Comment 7 Fedora Update System 2010-08-03 18:25:12 EDT
mock-1.1.3-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13
Comment 8 Fedora Update System 2010-08-03 18:28:10 EDT
mock-1.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5
Comment 9 Fedora Update System 2010-08-03 18:29:14 EDT
mock-1.0.10-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12
Comment 10 Fedora Update System 2010-08-04 19:03:47 EDT
mock-1.0.10-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.el5
Comment 11 Fedora Update System 2010-08-05 10:21:35 EDT
mock-1.1.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc14
Comment 12 Fedora Update System 2010-08-05 19:35:17 EDT
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.1.3-1.fc13
Comment 13 Fedora Update System 2010-08-05 19:36:50 EDT
mock-1.0.10-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mock'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/mock-1.0.10-1.fc12
Comment 14 Fedora Update System 2010-08-07 19:22:48 EDT
mock-1.1.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Jose Pedro Oliveira 2010-08-14 07:44:05 EDT
Hi,

Could someone also build mock 1.1.3 for EL6?
I'm also seeing this error in RHEL 6 Beta 2 Refresh with mock 1.1.2.

tia,
jpo
Comment 16 Fedora Update System 2010-08-19 13:20:58 EDT
mock-1.1.4-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc14
Comment 17 Fedora Update System 2010-08-19 13:22:05 EDT
mock-1.1.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/mock-1.1.4-1.fc13
Comment 18 Fedora Update System 2010-08-19 13:32:52 EDT
mock-1.0.11-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.fc12
Comment 19 Fedora Update System 2010-08-19 13:34:11 EDT
mock-1.0.11-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mock-1.0.11-1.el5
Comment 20 Fedora Update System 2010-08-23 17:57:36 EDT
mock-1.1.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 21 Fedora Update System 2010-08-23 21:28:17 EDT
mock-1.1.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2010-08-25 21:03:01 EDT
mock-1.0.11-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2010-09-20 10:43:03 EDT
mock-1.0.12-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.fc12
Comment 24 Fedora Update System 2010-09-20 10:44:36 EDT
mock-1.0.12-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.12-1.el5
Comment 25 Fedora Update System 2010-10-20 11:44:53 EDT
mock-1.0.13-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.el5
Comment 26 Fedora Update System 2010-10-20 11:47:08 EDT
mock-1.0.13-1.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/mock-1.0.13-1.fc12
Comment 27 Fedora Update System 2010-12-14 11:15:03 EST
mock-1.0.14-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.14-1.el5
Comment 28 Fedora Update System 2011-01-18 15:05:16 EST
mock-1.0.15-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.15-1.el5
Comment 29 Fedora Update System 2011-02-19 21:27:26 EST
mock-1.1.9-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc13
Comment 30 Fedora Update System 2011-02-19 21:30:28 EST
mock-1.0.16-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.16-1.el5
Comment 31 Fedora Update System 2011-02-19 21:33:18 EST
mock-1.1.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.el6
Comment 32 Fedora Update System 2011-02-19 21:36:09 EST
mock-1.1.9-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.9-1.fc14
Comment 33 Fedora Update System 2011-03-03 03:26:16 EST
mock-1.1.9-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 34 Fedora Update System 2011-03-03 03:34:51 EST
mock-1.1.9-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 35 Fedora Update System 2011-05-13 16:35:18 EDT
mock-1.1.10-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc15
Comment 36 Fedora Update System 2011-05-13 16:39:39 EDT
mock-1.1.10-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc14
Comment 37 Fedora Update System 2011-05-13 16:43:57 EDT
mock-1.0.17-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/mock-1.0.17-1.el5
Comment 38 Fedora Update System 2011-05-13 16:48:14 EDT
mock-1.1.10-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.fc13
Comment 39 Fedora Update System 2011-05-13 16:52:36 EDT
mock-1.1.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mock-1.1.10-1.el6
Comment 40 Fedora Update System 2011-05-19 00:36:36 EDT
mock-1.1.10-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 41 Fedora Update System 2011-05-24 22:43:57 EDT
mock-1.1.10-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2011-05-24 23:18:06 EDT
mock-1.1.10-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 43 Fedora Update System 2011-06-02 15:08:08 EDT
mock-1.0.17-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2011-06-02 15:17:59 EDT
mock-1.1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.